Package org.springframework.security.cas.authentication

# Class NullStatelessTicketCache

java.lang.Object
org.springframework.security.cas.authentication.NullStatelessTicketCache

All Implemented Interfaces:
  `StatelessTicketCache`

public final class NullStatelessTicketCache extends Object implements StatelessTicketCache
Implementation of @link `StatelessTicketCache` that has no backing cache. Useful in instances where storing of tickets for stateless session management is not required.

This is the default StatelessTicketCache of the @link `CasAuthenticationProvider` to eliminate the unnecessary dependency on EhCache that applications have even if they are not using the stateless session management.

See Also:
  - `CasAuthenticationProvider`

## Constructor Summary

Constructors
Constructor
Description
`NullStatelessTicketCache()`

## Method Summary

Modifier and Type
Method
Description
`CasAuthenticationToken`
`getByTicketId(String serviceTicket)`
Retrieves the `CasAuthenticationToken` associated with the specified ticket.
`void`
`putTicketInCache(CasAuthenticationToken token)`
This is a no-op since we are not storing tickets.
`void`
`removeTicketFromCache(String serviceTicket)`
This is a no-op since we are not storing tickets.
`void`
`removeTicketFromCache(CasAuthenticationToken token)`
This is a no-op since we are not storing tickets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullStatelessTicketCache

public NullStatelessTicketCache()

## Method Details

### getByTicketId

public CasAuthenticationToken getByTicketId(String serviceTicket)
Description copied from interface: `StatelessTicketCache`
Retrieves the `CasAuthenticationToken` associated with the specified ticket.

If not found, returns a `null` `CasAuthenticationToken`.

Specified by:
  `getByTicketId` in interface `StatelessTicketCache`
Returns:
  null since we are not storing any tickets.

### putTicketInCache

public void putTicketInCache(CasAuthenticationToken token)
This is a no-op since we are not storing tickets.

Specified by:
  `putTicketInCache` in interface `StatelessTicketCache`
Parameters:
  `token` - to be added to the cache

### removeTicketFromCache

public void removeTicketFromCache(CasAuthenticationToken token)
This is a no-op since we are not storing tickets.

Specified by:
  `removeTicketFromCache` in interface `StatelessTicketCache`
Parameters:
  `token` - to be removed

### removeTicketFromCache

public void removeTicketFromCache(String serviceTicket)
This is a no-op since we are not storing tickets.

Specified by:
  `removeTicketFromCache` in interface `StatelessTicketCache`
Parameters:
  `serviceTicket` - to be removed